<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: ViewPage Generator
| Filename: viewpage_generator.php
| Version: 1.00
| Author: Adam Gasowski (Gander)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

if (!checkrights("VPG") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

define("FUSION_ASELF", FUSION_SELF.$aidlink);
define("VIEWPAGE_INCLUDE_FILE", "viewpage_include.php");

if(isset($_GET['create']) && isset($_GET['page_id']) && isNum($_GET['page_id']) && dbcount("(page_id)", DB_CUSTOM_PAGES, "page_id='".$_GET['page_id']."'")){
	$file_code = "<?php
/*
   File created: ".date("d M Y, H:i:s")."
   Script: ViewPage Generator 1.00
   Author: Adam Gasowski (Gander)
   Homepage: www.myfusion.pl
*/
require_once \"maincore.php\";
require_once THEMES.\"templates/header.php\";
require_once INCLUDES.\"".VIEWPAGE_INCLUDE_FILE."\";

viewpage(".$_GET['page_id'].");

require_once THEMES.\"templates/footer.php\";
?>\n";

	if ($_GET['create']=="file"){
		ob_clean();
		header('content-type:text/plain; charset=utf-8');
		header('content-disposition:attachment; filename=file.php');
		echo $file_code;
		exit();
	}
} else {
	$file_code = "";
}

require_once THEMES."templates/admin_header.php";
$inf_folder = "viewpage_generator";

if (file_exists(INFUSIONS.$inf_folder."/locale/".$settings['locale'].".php")) {
	include INFUSIONS.$inf_folder."/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS.$inf_folder."/locale/English.php";
}

add_to_title($locale['global_200']."".$locale['vpg_000']."");

if (!file_exists(INCLUDES.VIEWPAGE_INCLUDE_FILE)) {
	opentable("".$locale['vpg_002']."");
	echo "<div style='text-align:center'>".sprintf("".$locale['vpg_003']."", "<strong>".VIEWPAGE_INCLUDE_FILE."</strong>", "<strong>".str_replace("../", "", INCLUDES)."</strong>")."</div>";
	closetable();
} else {
	$result = dbquery("SELECT * FROM ".DB_CUSTOM_PAGES." ORDER BY page_title ASC");
	if (dbrows($result)){
		opentable("".$locale['vpg_004']."");
		echo "<table cellpadding='0' cellspacing='1' class='tbl-border' align='center'>\n";
		echo "<tr style='font-variant:small-caps'>\n";
		echo "<td class='tbl1' align='center'><strong>".$locale['vpg_005']."</strong></td>\n";
		echo "<td class='tbl1' align='center'><strong>".$locale['vpg_006']."</strong></td>\n";
		echo "<td class='tbl1' align='center'><strong>".$locale['vpg_007']."</strong></td>\n";
		echo "<td class='tbl1' align='center'><strong>".$locale['vpg_008']."</strong></td>\n";
		echo "<td class='tbl1' align='center' colspan='2'><strong>".$locale['vpg_009']."</strong></td>\n";
		echo "</tr>\n";
		while ($data=dbarray($result)){
			echo "<tr>\n";
			echo "<td class='tbl2' align='center'>".$data['page_id']."</td>\n";
			echo "<td class='tbl2' title='".$data['page_title']."'>".trimlink($data['page_title'], 50)."</td>\n";
			echo "<td class='tbl2' align='center'>".getgroupname($data['page_access'])."</td>\n";
			echo "<td class='tbl2' align='center'><a href='".BASEDIR."viewpage.php?page_id=".$data['page_id']."' target='_blank'>".$locale['vpg_010']."</a></td>\n";
			echo "<td class='tbl2' align='center'><a href='".FUSION_ASELF."&amp;create=file&amp;page_id=".$data['page_id']."'>".$locale['vpg_011']."</a></td>\n";
			echo "<td class='tbl2' align='center'><a href='".FUSION_ASELF."&amp;create=code&amp;page_id=".$data['page_id']."'>".$locale['vpg_012']."</a></td>\n";
			echo "</tr>\n";
		}
		echo "</table>\n";
		closetable();
		if ($file_code){
			opentable("".$locale['vpg_013']."");
			echo "<center>\n";
			echo "<textarea cols='50' rows='15' class='textbox' style='font-family:courier,sans-serif; text-align:left' readonly='readonly' onDblClick='$(this).select()'>".phpentities($file_code)."</textarea>\n";
			echo "<div style='font-size:x-small'>".$locale['vpg_014']."</div>\n";
			echo "</center>\n";
			closetable();
		}
	} else {
		opentable("".$locale['vpg_015']."");
		echo "<div style='text-align:center'>".$locale['vpg_016']."</div>";
		closetable();
	}
}

require_once THEMES."templates/footer.php";
?>